MetaModels Workshop in Berlin
Ergebnis 1 bis 11 von 11

Thema: subcolumns für Contao 3.1.0?

  1. #1
    Contao-Nutzer Avatar von mulka
    Registriert seit
    25.11.2011.
    Ort
    Rügen
    Beiträge
    67

    Standard subcolumns für Contao 3.1.0?

    Ich weiß, das Thema ist schon für Contao 3 generell hier vorhanden. Bisher habe ich sehr gerne und oft subcolumns angewendet. Auch für Contao 3.0. In unserem Firmenlayout sind 3 Spalten vorgeschrieben.
    Gestern hat unser Admin auf Contao 3.1.0 geupdatet. Nun finde ich in der Erweiterungsverwaltung nicht einmal mehr subcolumns, jedoch den MultiColumnWizard. Aber der scheint es auch nicht so zu treffen. Was könnte ich tun? Tabellen????
    Gruß
    Jutta

  2. #2
    Contao-Fan Avatar von w3scout
    Registriert seit
    20.06.2009.
    Ort
    Stuttgart
    Beiträge
    254

    Standard

    Hallo Jutta,

    der MultiColumnWizard ist für Deinen Einsatzzweck ungeeignet.

    Was Du tun kannst:

    aktiviere in den Systemeinstellungen "Inkompatible Erweiterungen anzeigen" für das Extension Repository. Dann solltest Du Subcolumns angezeigt bekommen und installieren können.
    Ob es auch unter 3.1 läuft, weiß ich allerdings nicht. Einen Versuch könnte es aber wert sein.

    Alternativ gäbe es noch die Erweiterung simple_columns. Ist zwar auch nur bis C 3.0.6, läuft aber viell. auch mit C 3.1.

    Und wenn keine der Beiden läuft, gäbe es immer noch die Möglichkeit Deine Spalten selbst mittels CSS zu formatieren.

    VG

  3. #3
    Contao-Fan Avatar von Nikolas
    Registriert seit
    22.08.2009.
    Ort
    Lehe
    Beiträge
    493
    User beschenken
    Wunschliste

    Standard

    Hallo,

    ich habe subcolumns in einer 3.1 Installation laufen und konnte bisher noch keinerlei Probleme feststellen.
    Also einfach w3scouts Rat folgen

    Gruß
    Nikolas

  4. #4
    Contao-Fan Avatar von tinoo
    Registriert seit
    19.06.2009.
    Ort
    made in switzerland
    Beiträge
    591

    Standard

    Zitat Zitat von w3scout Beitrag anzeigen
    aktiviere in den Systemeinstellungen "Inkompatible Erweiterungen anzeigen" für das Extension Repository. Dann solltest Du Subcolumns angezeigt bekommen und installieren können.
    Ob es auch unter 3.1 läuft, weiß ich allerdings nicht. Einen Versuch könnte es aber wert sein.
    Also bei mir läuft Subcolumns unter C3.1 und tut was es soll. Allerdings reize ich vermutlich bei weitem nicht alle Möglichkeiten aus, von daher braucht es sicher noch jemanden, der die Erweiterung auf Herz und Nieren testet, bevor man sagen kann 100% kompatibel... Aber wie schon gesagt: Bei mir tut die Erweiterung was ich will, und nicht umgekehrt
    Freundliche Grüsse
    Martin

  5. #5
    Contao-Nutzer Avatar von mulka
    Registriert seit
    25.11.2011.
    Ort
    Rügen
    Beiträge
    67

    Standard Danke, läuft trotzdem nciht

    Danke für Eure schnellen Antworten.
    habe Subcolumns unter installiert, aber leider nicht mit Contao 3.1 zum Laufen gekriegt. Trotz Deinstallation, erneuter Installation. Nachdem Subcolumns installiert war, konnte ich nicht einmal mehr in die Systemeinstellungen reinkommen. Außerdem kamen wiederholte Contao-Meldungen, dass der Cache aktualisiert werden sollte. Nach Anklicken des angebotenen Aktualiserungsbuttons war diese Meldung vorerst weg, kam aber immer wieder. Das war erst nach Deinstallation von Subcolumns verschwunden und das System wieder lauffähig.

    CSS-Spalten wollte ich nicht benutzen. Wir sind nun einfach wieder auf Conato 3.06 zurück gegangen und alles läuft super....

    Heißt das nun: Nicht so schnell auf die neues Conato-Version updaten???

    Gruß
    Jutta

  6. #6
    Contao-Fan Avatar von tinoo
    Registriert seit
    19.06.2009.
    Ort
    made in switzerland
    Beiträge
    591

    Standard

    Die Meldung mit dem Contao-Cache habe ich auch bekommen. Ich habe dann aber zuerst die Modul-
    Installation zu Ende gebracht und erst DANN auf "Cache aufbauen" geklickt. So funktioniert es bei
    mir.
    Freundliche Grüsse
    Martin

  7. #7
    Contao-Nutzer Avatar von mulka
    Registriert seit
    25.11.2011.
    Ort
    Rügen
    Beiträge
    67

    Standard

    Hmmmm, grübel grübel...
    Wahrscheinlich lief es deswegen nicht bei mir, weil ich den Cache zu früh geupdated (herrliches denglisches Wort )
    Nun bin ich allerdings mit der Webseite schon so weit mit der Vorgängerversion voran gekommen, dass ich lieber nicht mehr umstelle.

    Mir ist es jedoch ein Bedürfnis zu sagen, dass ich die Community von Contao ganz toll finde. Jedesmal, wenn ich eine Frage habe, wird sehr schnell darauf reagiert und es hat mir jedesmal geholfen.

    Jutta

  8. #8
    Contao-Nutzer
    Registriert seit
    12.04.2012.
    Beiträge
    2

    Standard subcolumns unter contao 3.1

    Hallo zusammen,

    ich bekomme subcolumns unter 3.1.0 nicht zum laufen.
    Das Problem: die Spalten werden nicht nebeneinander, sondern untereinander dargestellt.

    Ich habe schon alles mögliche hier gelesen und ausprobiert:
    - subcolumns deinstallieren und neuinstallieren
    - cache leeren / aufbauen
    - css per Hand einbauen
    - eigene CSS abgeschaltet

    und bekomme es nicht zum laufen :-(

    Habe es nur lokal installiert (xampp) - hat hier vielleicht jemand noch einen ultimativen Tipp?
    Das 12-Spalten Grid css habe ich nicht aktiviert.

    Viele Grüße

    Marc

  9. #9
    Contao-Nutzer
    Registriert seit
    23.01.2011.
    Beiträge
    7

    Standard

    Hallo zusammen,

    ich hab das gleiche Problem wie djwebbi beschrieben hat (Alles untereinander).

    Kann da jemand einen Tipp geben?


    Gruße

  10. #10
    Contao-Fan Avatar von joe
    Registriert seit
    20.06.2009.
    Ort
    Lüneburg
    Beiträge
    663
    User beschenken
    Wunschliste

    Standard

    Das liegt daran, dass die .htaccess Datei unter assets nicht aktuell ist. Ab apache 2.4 (bei xampp in Verwendung) werden andere Regeln für das zugreifen auf die Ordner benötigt. Ich habe bereits einen Pull Request an Felix gesendet: https://github.com/felixpfeiffer/Subcolumns/pull/13

    Ihr müsst eigentlich nur die Datei system/modules/subcolums/assets/.htaccess wie folgt updaten:

    Code:
    <IfModule !mod_authz_core.c>
      Order allow,deny
      Allow from all
    </IfModule>
    <IfModule mod_authz_core.c>
      Require all granted
    </IfModule>
    Viele Grüße
    Joe
    Ich konnte dir helfen? Super! Ich freue mich immer über ein Dankeschön von meiner Amazon Wunschliste
    Follow me on Twitter @JoeRayGregory

  11. #11
    Contao-Nutzer
    Registriert seit
    23.01.2011.
    Beiträge
    7

    Standard

    Aha ja, jetzt funktioniert es, super.

    Danke Joe!

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •